package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品管理对象 buyer_goods
 * 
 * @author ruoyi
 * @date 2022-09-19
 */
@ApiModel(value ="商品管理对象" )
@Data
public class BuyerGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    @ApiModelProperty(value = "编号")
    private String id;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    private Integer sort;

    /** 商品名称 */
    @ApiModelProperty(value = "商品名称")
    @Excel(name = "商品名称")
    private String name;

    /** 充值会员时长 */
    @ApiModelProperty(value = "充值会员时长")
    @Excel(name = "充值会员时长")
    private Integer duration;

    /** 充值单位 */
    @ApiModelProperty(value = "充值单位")
    @Excel(name = "充值单位")
    private String unit;

    /** 单价 */
    @ApiModelProperty(value = "单价")
    @Excel(name = "单价")
    private BigDecimal price;

    /** 销量累积 */
    @ApiModelProperty(value = "销量累积")
    @Excel(name = "销量累积")
    private Integer saleAmount;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remarks;

    /** 删除标记 */
    @ApiModelProperty(value = "删除标记")
    private String delFlag;

    /** 关联文件 */
    @ApiModelProperty(value = "关联文件")
    private List<BuyerFileInfo> buyerFileInfos;

    /** 文件信息 */
    @ApiModelProperty(value = "文件信息")
    private String fileNames;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sort", getSort())
            .append("name", getName())
            .append("price", getPrice())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
